require "simplepub/version"
require 'json'
require "digest/sha1"
require "net/http"
require "net/https"

require "simplepub/error"
require "simplepub/configuration"
require "simplepub/interface_methods"
require "simplepub/faye_extension"
require "simplepub/engine" if defined? Rails

module Simplepub
  extend Configuration
  extend InterfaceMethods

  reset_config

  def self.templates_root
    File.dirname(__FILE__) + "/templates"
  end

  autoload :Cli, 'simplepub/cli'
end
